
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@  taglib uri="../WEB-INF/cvtaglib.tld" prefix="cv"%>
<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<jsp:include page="../common/header.jsp">
	<jsp:param value="true" name="includeLatestJquery" />
	<jsp:param value="true" name="includeSecHeader" />
	<jsp:param value="true" name="analyticsChangePage" />
	<jsp:param value="WebAnalytics_Header" name="title" />
	<jsp:param value="WebAnalytics_Header" name="headerTitle" />
	<jsp:param value="../common/bootstrap/css/bootstrap.min.css" name="css" />
	<jsp:param value="../common/bootstrap/css/DT_bootstrap.css" name="css" />
	<jsp:param value="../common/css/jquery.loadmask.css" name="css" />
	<jsp:param value="../common/css/headerstyles.css" name="css" />
	<jsp:param value="dependencies/css/bootstrap-tagsinput.css" name="css" />
	<jsp:param value="dependencies/css/jquery-ui.min.css" name="css" />
	<jsp:param value="../common/bootstrap/css/bootstrap-wc.css" name="css" />
	<jsp:param value="css/forwebanalytics.css" name="css" />
</jsp:include>
<style type="text/css">
#container {
	width: 75%;
	overflow: hidden;
}
</style>
<fmt:bundle basename="localization.WebAnalyticsMessages">

	<script nonce="${sessionScope.cspNonce}">
		var localMessages = localMessages || {};
		localMessages.noresultsfound = '<fmt:message key="wa.noresultsfound.string"/>';
		localMessages.lastmodified = '<fmt:message key="wa.lastmodified"/>';
		localMessages.analyticsengine = '<fmt:message key="wa.analyticsengine"/>';
		localMessages.createdon = '<fmt:message key="wa.createdon"/>';
		localMessages.unregister = '<fmt:message key="wa.unregister"/>';
		localMessages.snippet = '<fmt:message key="wa.snippet"/>';
		localMessages.emailTemplate = '<fmt:message key="wa.emailTemplate"/>';
		localMessages.configure = '<fmt:message key="wa.configure"/>';
		localMessages.viewreports = '<fmt:message key="wa.viewreports"/>';
		localMessages.unsubscribe = '<fmt:message key="wa.unsubscribe"/>';
		localMessages.share = '<fmt:message key="wa.share.button"/>';
		localMessages.noregisteredsites = '<fmt:message key="wa.noregisteredsites"/>';
		localMessages.nosharedsites = '<fmt:message key="wa.noshared"/>';
		localMessages.unregisterconf = '<fmt:message key="wa.unregister.confirmation"/>';
		localMessages.unregistermodal = '<fmt:message key="wa.unregister.modal.title"/>';
		localMessages.unsubscribeconf = '<fmt:message key="wa.unsubscribe.confirmation"/>';
		localMessages.unsubscribemodal = '<fmt:message key="wa.unsubscribe.modal.title"/>';
		localMessages.snippetmodal = '<fmt:message key="wa.snippet.modal.title"/>';
		localMessages.notsharedmessage = '<fmt:message key="wa.notshared"/>';
		localMessages.validemailreq = '<fmt:message key="wa.req.validemail"/>';
		localMessages.searchwarning = '<fmt:message key="wa.configuresearch.warning"/>';
		localMessages.ajaxsearchwarning = '<fmt:message key="wa.configureajaxsearch.warning"/>';
		localMessages.registrationwarning = '<fmt:message key="wa.basicregistration.warning"/>';
		localMessages.basicinputwarning = '<fmt:message key="wa.req.basicinput.warning"/>';
		localMessages.updatesuccess = '<fmt:message key="wa.update.success"/>';
		localMessages.registersuccess = '<fmt:message key="wa.register.success"/>';
		localMessages.domainplaceholder = '<fmt:message key="wa.home.registration.domain.placeholder"/>';
		localMessages.customreferrerplaceholder = '<fmt:message key="wa.home.registration.customreferrer.placeholder"/>';
		localMessages.additionalelementplaceholder = '<fmt:message key="wa.home.registration.additionalelement.placeholder"/>';
		localMessages.searchurlplaceholder = '<fmt:message key="wa.home.registration.searchurl.placeholder"/>';
		localMessages.htmlLocationPlaceHolder = '<fmt:message key="wa.home.registration.htmlLocation.placeholder"/>';
		localMessages.searchparamplaceholder = '<fmt:message key="wa.home.registration.searchparam.placeholder"/>';
		localMessages.classnameplaceholder = '<fmt:message key="wa.home.registration.classname.placeholder"/>';
		localMessages.startparamplaceholder = '<fmt:message key="wa.home.registration.startparam.placeholder"/>';
		localMessages.ajaxurlplaceholder = '<fmt:message key="wa.home.registration.ajaxurl.placeholder"/>';
		localMessages.ajaxparamplaceholder = '<fmt:message key="wa.home.registration.ajaxparam.placeholder"/>';
		localMessages.expandstring = '<fmt:message key="wa.expand.title"/>';
		localMessages.collapsestring = '<fmt:message key="wa.collapse.title"/>';
		localMessages.norecordstodisplay = '<fmt:message key="wa.norecordsdisplay.string"/>';
		localMessages.filter = '<fmt:message key="wa.options.filter"/>';
		localMessages.savepng = '<fmt:message key="wa.save.png"/>';
		localMessages.savepdf = '<fmt:message key="wa.save.pdf"/>';
		localMessages.someerrormessage = '<fmt:message key="wa.someerror.message"/>';
		localMessages.unregisteredsuccessfully = '<fmt:message key="wa.unregister.successful"/>';
		localMessages.unsubscribesuccessful = '<fmt:message key="wa.unsubscribe.successful"/>';
		localMessages.registernewsite = '<fmt:message key="wa.home.register.new.site"/>';
		localMessages.registeredsite = '<fmt:message key="wa.home.registered.site"/>';
		localMessages.sharedsite = '<fmt:message key="wa.home.shared.site"/>';
		localMessages.removedalreadysharedusers = '<fmt:message key="wa.removed.shared.users"/>';
		localMessages.removedalreadysharedusersnsuccessful = '<fmt:message key="wa.removed.shared.users.successful"/>';
		localMessages.successfullysharedreports = '<fmt:message key="wa.reports.shared.successful"/>';
	</script>

	<div class="tabbable">
		<div class="navbar navbar-static-top title-nav">
			<div class="navbar-header">
				<button class="navbar-toggle" type="button" data-toggle="collapse"
					data-target=".title-navbar-collapse">
					<span class="sr-only">Toggle navigation</span> <span
						class="icon-bar"></span> <span class="icon-bar"></span> <span
						class="icon-bar"></span>
				</button>
				<ul class="nav navbar-nav navbar-left navUlMarginLft">
					<li class="active"><a class="navbar-brand"
						style="height: auto; display: none;"></a></li>
				</ul>
			</div>
			<nav class="collapse navbar-collapse title-navbar-collapse"
				role="navigation">
				<ul id="navbarList"
					class="nav navbar-nav navbar-left navUlMarginLft">
					<li id="registersite_Tab" class=""><a href="#"
						class="navbarTabLink" data-navtab="registersite"><fmt:message
								key="wa.home.register.new.site" /></a></li>
					<li id="registered_Tab" class="active "><a href="#"
						class="navbarTabLink" data-navtab="registered"><fmt:message
								key="wa.home.registered.site" /></a></li>
					<li id="shared_Tab"><a href="#" class="navbarTabLink"
						data-navtab="shared"><fmt:message key="wa.home.shared.site" /></a></li>
				</ul>
			</nav>
		</div>
		<div class="tab-content contentBdr">
			<div id="registersite" class="tab-pane panel-group">
				<div class="row overflow-y-hidden centered">
					<div class="col-xs-12">
						<div class="row extra-top-space">
							<div class="col-xs-12 siteTitle">
								<fmt:message key="wa.home.registration" />
							</div>
						</div>
						<div class="form-group">
							<div class="input-group">
								<span class="input-group-addon"><fmt:message
										key="wa.home.registration.website.name" /></span> <input
									id="registerSiteName" type="text" class="form-control"
									placeholder="<fmt:message key="wa.home.registration.website.name.placeholder" />">
							</div>
						</div>
						<div class="form-group">
							<div class="input-group">
								<span class="input-group-addon"><fmt:message
										key="wa.home.registration.website.url" /></span> <input
									id="registerDomain_0" type="text" class="form-control"
									placeholder="<fmt:message key="wa.home.registration.website.url.placeholder" />">
							</div>
						</div>
						<fmt:message key="wa.home.registration.domain.accordian"
							var="domainAccordian" />
						<fmt:message key="wa.home.registration.domain.placeholder"
							var="domainPlaceHolder" />
						<fmt:message key="wa.home.registration.customreferrer.accordian"
							var="customReferrerAccordian" />
						<fmt:message key="wa.home.registration.htmlLocation.accordian"
							var="htmlLocationAccordian" />
						<fmt:message key="wa.home.registration.customreferrer.placeholder"
							var="customReferrerPlaceHolder" />
						<fmt:message key="wa.home.registration.htmlLocation.placeholder"
							var="htmlLocationPlaceHolder" />
						<fmt:message
							key="wa.home.registration.additionalelement.accordian"
							var="additionalElementAccordian" />
						<fmt:message
							key="wa.home.registration.additionalelement.placeholder"
							var="additionalElementPlaceHolder" />
						<fmt:message key="wa.home.registration.searchurl.placeholder"
							var="searchUrlPlaceHolder" />
						<fmt:message key="wa.home.registration.searchparam.placeholder"
							var="searchParamPlaceHolder" />
						<fmt:message key="wa.home.registration.classname.placeholder"
							var="classNamePlaceHolder" />
						<fmt:message key="wa.home.registration.startparam.placeholder"
							var="startParamPlaceHolder" />
						<fmt:message key="wa.home.registration.ajaxurl.placeholder"
							var="ajaxUrlPlaceHolder" />
						<fmt:message key="wa.home.registration.ajaxparam.placeholder"
							var="ajaxParamPlaceHolder" />
						<jsp:include page="../webanalytics/partials/inputControl.jsp">
							<jsp:param name="accordion" value="true" />
							<jsp:param name="accordionText" value="${domainAccordian}" />
							<jsp:param name="show" value="none" />
							<jsp:param name="id" value="domain" />
							<jsp:param name="firstElement" value="registerDomain_1" />
							<jsp:param name="placeHolder" value="${domainPlaceHolder}" />
						</jsp:include>
						<jsp:include page="../webanalytics/partials/inputControl.jsp">
							<jsp:param name="accordion" value="true" />
							<jsp:param name="accordionText"
								value="${customReferrerAccordian}" />
							<jsp:param name="show" value="none" />
							<jsp:param name="id" value="customReferrer" />
							<jsp:param name="firstElement" value="registerCustomReferrer_0" />
							<jsp:param name="placeHolder"
								value="${customReferrerPlaceHolder}" />
						</jsp:include>
						<div class="form-group">
							<label class="optBtn accLabel full" data-acc-div="searchDetails"
								data-curr-div="accordionSearch"> <a class="text14">
									<fmt:message key="wa.home.registration.capturesearch.accordian" />
							</a> <a> <span
									class="glyphicon glyphicon-plus-sign inline right optBtnIcon"
									title="<fmt:message key="wa.expand.title"/>"
									id="accordionSearch" data-acc-div="searchDetails"
									data-curr-div="accordionSearch"></span>
							</a>
							</label>
						</div>
						<div id="searchDetails" class="none">
							<jsp:include page="../webanalytics/partials/inputControl.jsp">
								<jsp:param name="accordion" value="false" />
								<jsp:param name="show" value="block" />
								<jsp:param name="id" value="searchUrl" />
								<jsp:param name="firstElement" value="registerSearchURL_0" />
								<jsp:param name="placeHolder" value="${searchUrlPlaceHolder}" />
							</jsp:include>
							<jsp:include page="../webanalytics/partials/inputControl.jsp">
								<jsp:param name="accordion" value="false" />
								<jsp:param name="show" value="block" />
								<jsp:param name="id" value="searchParam" />
								<jsp:param name="firstElement" value="registerSearchParam_0" />
								<jsp:param name="placeHolder" value="${searchParamPlaceHolder}" />
							</jsp:include>
							<jsp:include page="../webanalytics/partials/inputControl.jsp">
								<jsp:param name="accordion" value="false" />
								<jsp:param name="show" value="block" />
								<jsp:param name="id" value="resultClass" />
								<jsp:param name="firstElement" value="registerSearchResult_0" />
								<jsp:param name="placeHolder" value="${classNamePlaceHolder}" />
							</jsp:include>
							<jsp:include page="../webanalytics/partials/inputControl.jsp">
								<jsp:param name="accordion" value="false" />
								<jsp:param name="show" value="block" />
								<jsp:param name="id" value="startParam" />
								<jsp:param name="firstElement" value="registerStartParam_0" />
								<jsp:param name="placeHolder" value="${startParamPlaceHolder}" />
							</jsp:include>
							<jsp:include page="../webanalytics/partials/inputControl.jsp">
								<jsp:param name="accordion" value="false" />
								<jsp:param name="show" value="block" />
								<jsp:param name="id" value="ajaxSearch" />
								<jsp:param name="firstElement" value="registerAjaxURL_0" />
								<jsp:param name="placeHolder" value="${ajaxUrlPlaceHolder}" />
							</jsp:include>
							<jsp:include page="../webanalytics/partials/inputControl.jsp">
								<jsp:param name="accordion" value="false" />
								<jsp:param name="show" value="block" />
								<jsp:param name="id" value="ajaxParam" />
								<jsp:param name="firstElement" value="registerAjaxParam_0" />
								<jsp:param name="placeHolder" value="${ajaxParamPlaceHolder}" />
							</jsp:include>
						</div>
						<div class="form-group">
							<label class="optBtn accLabel full" data-acc-div="advancedOptions"
								data-curr-div="accordionHtmlLocation"> <a class="text14">
									<fmt:message
										key="wa.home.registration.advancedoptions.accordian" />
							</a> <a> <span
									class="glyphicon glyphicon-plus-sign inline right optBtnIcon"
									title="<fmt:message key="wa.expand.title"/>"
									id="accordionHtmlLocation" data-acc-div="advancedOptions"
									data-curr-div="accordionHtmlLocation"></span>
							</a>
							</label>
						</div>
						<div id="advancedOptions" class="none">
							<jsp:include page="../webanalytics/partials/inputControl.jsp">
								<jsp:param name="accordion" value="false" />
								<jsp:param name="accordionText" value="${htmlLocationAccordian}" />
								<jsp:param name="show" value="block" />
								<jsp:param name="id" value="htmlLocation" />
								<jsp:param name="element" value="radio" />
								<jsp:param name="firstElement" value="registerHtmlLocation_0" />
								<jsp:param name="placeHolder" value="${htmlLocationPlaceHolder}" />
							</jsp:include>
						</div>
					</div>
				</div>
			</div>
			<div id="registered" class="tab-pane active panel-group">
				<table id="dataTableRegisteredWebsites"
					class="table dtable siteListTable">
				</table>

			</div>
			<div id="shared" class="tab-pane panel-group">
				<table id="dataTableSharedWebsites"
					class="table dtable siteListTable">
				</table>
			</div>
		</div>
	</div>
	<div class="form-actions btmBtnAlign">
		<div class="pull-right">
			<button type="button" id="register" class="btn btn-primary">
				<fmt:message key="wa.register.button" />
			</button>
			<button type="button" id="back" class="btn btn-default">
				<fmt:message key="wa.cancel.button" />
			</button>
		</div>
	</div>


	<div class="modal fade" id="generatedSnippet">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal"
						aria-label="Close">
						<span aria-hidden="true">&times;</span>
					</button>
					<h5>
						<fmt:message key="wa.snippet.modal.title" />
					</h5>
				</div>
				<div class="modal-body">
					<div class="form-group">
						<label><fmt:message key="wa.home.copysnippet" /></label>
						<textarea rows="8" id="codeSnippet"
							class="form-control cursorText" readonly="true"
							placeholder="<fmt:message key="wa.home.copysnippet.placeholder" />"></textarea>
					</div>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-primary" data-dismiss="modal">
						<fmt:message key="wa.ok.button" />
					</button>
					<button type="button" class="btn btn-default" data-dismiss="modal">
						<fmt:message key="wa.cancel.button" />
					</button>
				</div>
			</div>
			<!-- /.modal-content -->
		</div>
		<!-- /.modal-dialog -->
	</div>
	<!-- /.modal -->

	<div class="modal fade" id="generatedEmailTemplate">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal"
						aria-label="Close">
						<span aria-hidden="true">&times;</span>
					</button>
					<h5>
						<fmt:message key="wa.emailTemplate.modal.title" />
					</h5>
				</div>
				<div class="modal-body">
					<div class="form-group">
						<label><fmt:message key="wa.emailTemplate.imgtag" /></label>
						<textarea rows="4" id="imgTag" class="form-control cursorText"
							readonly="true"></textarea>
						<label><fmt:message key="wa.emailTemplate.linkTemplate" /></label>
						<textarea rows="4" id="linkTemplate"
							class="form-control cursorText" readonly="true">"></textarea>
					</div>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-primary" data-dismiss="modal">
						<fmt:message key="wa.ok.button" />
					</button>
					<button type="button" class="btn btn-default" data-dismiss="modal">
						<fmt:message key="wa.cancel.button" />
					</button>
				</div>
			</div>
			<!-- /.modal-content -->
		</div>
		<!-- /.modal-dialog -->
	</div>
	<!-- /.modal -->

	<jsp:include page="shareReport.jsp" />

	<div class="modal fade" id="unregister-confirm">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal"
						aria-label="Close">
						<span aria-hidden="true">&times;</span>
					</button>
					<h5>
						<fmt:message key="wa.unregister.modal.title" />
					</h5>
				</div>
				<div class="modal-body">
					<fmt:message key="wa.unregister.confirmation" />
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-primary"
						id="unregister-button">
						<fmt:message key="wa.yes.button" />
					</button>
					<button type="button" data-dismiss="modal" class="btn btn-default">
						<fmt:message key="wa.no.button" />
					</button>
				</div>
			</div>
			<!-- /.modal-content -->
		</div>
		<!-- /.modal-dialog -->
	</div>
	<!-- /.modal -->

	<div class="modal fade" id="unsubscribe-confirm">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal"
						aria-label="Close">
						<span aria-hidden="true">&times;</span>
					</button>
					<h5>
						<fmt:message key="wa.unsubscribe.modal.title" />
					</h5>
				</div>
				<div class="modal-body">
					<fmt:message key="wa.unsubscribe.confirmation" />
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-primary"
						id="unsubscribe-button">
						<fmt:message key="wa.yes.button" />
					</button>
					<button type="button" data-dismiss="modal" class="btn btn-default">
						<fmt:message key="wa.no.button" />
					</button>
				</div>
			</div>
			<!-- /.modal-content -->
		</div>
		<!-- /.modal-dialog -->
	</div>
	<!-- /.modal -->


</fmt:bundle>
<jsp:include page="../common/footer.jsp">
	<jsp:param value="../common/bootstrap/js/bootstrap.min.js" name="js" />
	<jsp:param value="../common/bootstrap/js/moment.min.js" name="js" />
	<jsp:param value="../webanalytics/js/common.js" name="js" />
	<jsp:param value="../common/js/table/jquery.dataTables.js" name="js" />
	<jsp:param value="../common/bootstrap/js/DT_bootstrap.js" name="js" />
	<jsp:param value="../common/clipboard/jquery.zclip.js" name="js" />
	<jsp:param
		value="../webanalytics/dependencies/js/bootstrap-tagsinput.js"
		name="js" />
	<jsp:param value="../common/js/jquery.loadmask.cv.js" name="js" />
	<jsp:param value="../webanalytics/js/home.js" name="js" />

</jsp:include>


