<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<fmt:bundle basename="localization.WebAnalyticsMessages">
	<c:set var="id" value="${fn:escapeXml(param.id)}" />
	<c:set var="show" value="${fn:escapeXml(param.show)}" />
	<c:set var="accordionText" value="${fn:escapeXml(param.accordionText)}" />
	<c:set var="firstElement" value="${fn:escapeXml(param.firstElement)}" />
	<c:set var="placeHolder" value="${fn:escapeXml(param.placeHolder)}" />
	<c:set var="element" value="${fn:escapeXml(param.element)}" />
	<c:set var="accordion" value="${fn:escapeXml(param.accordion)}" />

	<c:if test="${accordion=='true'}">
		<div class="form-group">
			<label class="optBtn accLabel full"
				data-acc-div="<c:out value="${id}"/>Details"
				data-curr-div="<c:out value="${id}"/>Accordion"> <a>
					<c:out value="${accordionText}" />
			</a> <a> <span
					class="glyphicon glyphicon-plus-sign inline right optBtnIcon"
					title="<fmt:message key="wa.expand.title"/>"
					id="<c:out value="${id}"/>Accordion"
					data-acc-div="<c:out value="${id}"/>Details"
					data-curr-div="<c:out value="${id}"/>Accordion"> </span>
			</a>
			</label>
		</div>
	</c:if>
	<!-- TODO: Should change this logic -->
	<div class="form-group">
		<<c:out value="${id}"/> id="<c:out value="${id}"/>Details" class="<c:out value="${show}"/>">
		<div id="<c:out value="${id}"/>">
		<div class="top-space">
			<div class="input-group col-lg-12 col-md-12 col-sm-12 col-xs-12">
					<c:if test="${empty element}">
						<input id="<c:out value="${firstElement}"/>" type="text" class="form-control"
							placeholder="<c:out value="${placeHolder}"/>">
						<span id="<c:out value="${id}"/>Add" class="input-group-addon optBtn">
						<span class="glyphicon-plus glyphicon"></span>
					</span>
						<span id="<c:out value="${id}"/>Del" class="input-group-addon optBtn">
						<span class="glyphicon-minus glyphicon"></span>
					</span>
					</c:if>
					<c:if test="${element=='radio'}">
						<div class="form-horizontal">
							<div class="form-group">
								<label class="col-sm-3 control-label">
									<c:out value="${accordionText}"/>: </label>
									<!---->
								<div class="col-sm-9">
									<div class="input-group">
										<input id="htmlLocationEnabled" type="checkbox"
											class="cvToggle"> <label for="htmlLocationEnabled"
											style="margin-top: -15px;"></label>
									</div>
								</div>
							</div>
						</div>
					</c:if>
			</div>
		</div>
	</div>
		</<c:out value="${id}"/>>
	</div>
</fmt:bundle>