
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@  taglib uri="../WEB-INF/cvtaglib.tld" prefix="cv"%>
<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<jsp:include page="../common/header.jsp">
	<jsp:param value="true" name="includeLatestJquery" />
	<jsp:param value="true" name="includeSecHeader" />
	<jsp:param value="true" name="exportOptions" />
	<jsp:param value="true" name="includeCROptions" />
	<jsp:param value="true" name="noSearchReport" />
	<jsp:param value="true" name="analyticsChangePage" />
	<jsp:param value="WebAnalytics_Header" name="title" />
	<jsp:param value="WebAnalytics_Header" name="headerTitle" />
	<jsp:param value="../common/bootstrap/css/bootstrap.min.css" name="css" />
	<jsp:param value="../common/bootstrap/css/bootstrap-datetimepicker.css"
		name="css" />
	<jsp:param value="../common/css/daterangepicker-bs3.css" name="css" />
	<jsp:param value="../common/bootstrap/css/DT_bootstrap.css" name="css" />
	<jsp:param value="../common/css/headerstyles.css" name="css" />
	<jsp:param value="../common/css/jquery.loadmask.css" name="css" />
	<jsp:param value="../reports/css/actionButtons.css" name="css" />
	<jsp:param value="../common/bootstrap/css/bootstrap-wc.css" name="css" />
	<jsp:param value="../searchcomponents/css/searchcomponents.css"
		name="css" />
	<jsp:param value="css/forwebanalytics.css" name="css" />
</jsp:include>
<jsp:include page="../webanalytics/navbar.jsp">
	<jsp:param name="page" value="advanced" />
</jsp:include>
<style type="text/css">
#container {
	width: 98%;
	overflow: hidden;
}
</style>
<fmt:bundle basename="localization.WebAnalyticsMessages">
	<script nonce="${sessionScope.cspNonce}">
 	var localMessages=localMessages||{};
 	localMessages.noresultsfound='<fmt:message key="wa.noresultsfound.string"/>';
 	localMessages.actionsperformedcount='<fmt:message key="wa.userclicks.count"/>';
	localMessages.piestring='<fmt:message key="wa.pie.string"/>';
	localMessages.columnstring='<fmt:message key="wa.column.string"/>';
	localMessages.chartstring='<fmt:message key="wa.chart.string"/>';
	localMessages.chartviewstring='<fmt:message key="wa.chartview.string"/>';
	localMessages.gridviewstring='<fmt:message key="wa.gridview.string"/>';
	localMessages.totalcountstring='<fmt:message key="wa.totalcount.string"/>';
	localMessages.count='<fmt:message key="wa.datatable.count"/>';
	localMessages.savepng='<fmt:message key="wa.save.png"/>';
	localMessages.percentage='<fmt:message key="wa.percentage.string"/>';
	localMessages.noofhits='<fmt:message key="wa.noofhits.string"/>';
	localMessages.savepdf='<fmt:message key="wa.save.pdf"/>';
	localMessages.facetnewvisitor='<fmt:message key="wa.facet.visitor.new"/>';
	localMessages.facetreturningvisitor='<fmt:message key="wa.facet.visitor.returning"/>';
	localMessages.data='<fmt:message key="wa.datatable.data"/>';
	localMessages._atnu='<fmt:message key="wa._atnu"/>';
	localMessages._atbn='<fmt:message key="wa._atbn"/>';
	localMessages._atbv='<fmt:message key="wa._atbv"/>';
	localMessages._atln='<fmt:message key="wa._atln"/>';
	localMessages._atsr='<fmt:message key="wa._atsr"/>';
	localMessages._atdn='<fmt:message key="wa._atdn"/>';
	localMessages._atcn='<fmt:message key="wa._atcn"/>';
	localMessages._atos='<fmt:message key="wa._atos"/>';
	localMessages.filter='<fmt:message key="wa.options.filter"/>';
	localMessages.show='<fmt:message key="wa.show.string"/>';
	localMessages.all='<fmt:message key="wa.all.string"/>';
	localMessages.norecordstodisplay='<fmt:message key="wa.norecordsdisplay.string"/>';
	localMessages.totalentry='<fmt:message key="wa.totalentry.string"/>';
	localMessages.entrythrureferrer='<fmt:message key="wa.entrythrureferrer.string"/>';
	localMessages.directentry='<fmt:message key="wa.directentry.string"/>';
	localMessages.expandstring='<fmt:message key="wa.expand.title"/>';
	localMessages.collapsestring='<fmt:message key="wa.collapse.title"/>';
	localMessages.schedulereportsmodal='<fmt:message key="wa.schedulereports.modal"/>';
	localMessages.emailreportsmodal='<fmt:message key="wa.emailreports.modal"/>';
	localMessages.exportdata='<fmt:message key="wa.exportdata"/>';
	localMessages.sourcestring='<fmt:message key="wa.source.string"/>';
	localMessages.countnpercent='<fmt:message key="wa.countandpercentage.string"/>';
	localMessages.loadtime='<fmt:message key="wa.loadtime"/>';
	localMessages.timetaken='<fmt:message key="wa.timetaken"/>';
	localMessages.loadtimeunits='<fmt:message key="wa.loadtime.with.units"/>';
	localMessages.loadtimeboxplotstring='<fmt:message key="wa.loadtimeboxplot.string"/>';
	localMessages.outlierstring='<fmt:message key="wa.outlier.string"/>';
	localMessages.useractionstring='<fmt:message key="wa.advanced.useractions"/>';
	localMessages.userclickstring='<fmt:message key="wa.advanced.userclicks"/>';
	localMessages.pageviews='<fmt:message key="wa.pageviews.string"/>';
	localMessages.landingpages='<fmt:message key="wa.landingpages.string"/>';
	localMessages.exitpages='<fmt:message key="wa.exitpages.string"/>';
/*	localMessages.bouncingpages='<fmt:message key="wa.bouncingpages.string"/>';
	localMessages.noofbounces='<fmt:message key="wa.noofbounces.string"/>';*/
	localMessages.nooflandings='<fmt:message key="wa.nooflandings.string"/>';
	localMessages.noofexits='<fmt:message key="wa.noofexits.string"/>';
	localMessages.pageviewsnpercent='<fmt:message key="wa.pageviewsnpercent"/>';
	localMessages.pagestring='<fmt:message key="wa.page.string"/>';
	localMessages.successfulsearchstring='<fmt:message key="wa.successfulsearch.string"/>';
	localMessages.referraldomainsstring='<fmt:message key="wa.referraldomains.string"/>';
	localMessages.searchtermstring='<fmt:message key="wa.searchterm.string"/>';
	localMessages.searchnpercentstring='<fmt:message key="wa.searchnpercent.string"/>';
	localMessages.zerohitsearchstring='<fmt:message key="wa.zerohitsearch.string"/>';
	localMessages.noclicksearchstring='<fmt:message key="wa.noclicksearch.string"/>';
	localMessages.successfulstring='<fmt:message key="wa.successful.string"/>';
	localMessages.zerohitsstring='<fmt:message key="wa.zerohits.string"/>';
	localMessages.noclicksstring='<fmt:message key="wa.noclicks.string"/>';
	localMessages.noofzerohitstring='<fmt:message key="wa.noofzerohit.string"/>';
	localMessages.noofnoclickstring='<fmt:message key="wa.noofnoclick.string"/>';
	localMessages.noofsuccessfulstring='<fmt:message key="wa.noofsuccessful.string"/>';
	localMessages.noofpageviewsstring='<fmt:message key="wa.noofpageviews.string"/>';
	localMessages.avgtimespent='<fmt:message key="wa.avgtimespent.string"/>';
	localMessages.noofajaxcalls='<fmt:message key="wa.totalajax.string"/>';
	localMessages.positionntime='<fmt:message key="wa.positionntime"/>';
	localMessages.positionncount='<fmt:message key="wa.positionncount"/>';
	localMessages.position='<fmt:message key="wa.position"/>';
	localMessages.hrefclicked='<fmt:message key="wa.href.clicked"/>';
	localMessages.pageloadstats='<fmt:message key="wa.page.loadstats"/>';
	localMessages.pagestatsfor='<fmt:message key="wa.pagestatsfor"/>';
	localMessages.searchtatsfor='<fmt:message key="wa.searchtatsfor"/>';
	localMessages.referrerdetailsfor='<fmt:message key="wa.referrerdetailsfor"/>';
	localMessages.notspecified='<fmt:message key="wa.notspecified"/>';
	localMessages.statsmin='<fmt:message key="wa.stats.min"/>';
	localMessages.statsmax='<fmt:message key="wa.stats.max"/>';
	localMessages.statsavg='<fmt:message key="wa.stats.avg"/>';
	localMessages.statssd='<fmt:message key="wa.stats.sd"/>';
	localMessages.tagstring='<fmt:message key="wa.tag.string"/>';
	localMessages.alltagstring='<fmt:message key="wa.alltags.string"/>';
	localMessages.clickcountstring='<fmt:message key="wa.clickcount.string"/>';
	localMessages.someerrormessage='<fmt:message key="wa.someerror.message"/>';
	localMessages.nodatainreports='<fmt:message key="wa.reports.nodata"/>';
	localMessages.notspecified='<fmt:message key="wa.notspecified.string"/>';
	localMessages.avgloadtime='<fmt:message key="wa.loadtime.average"/>';
	localMessages.avgloadtimewithunits='<fmt:message key="wa.loadtime.averagewithunits"/>';
	localMessages.avgloadtimeandcount='<fmt:message key="wa.loadtime.averageandcount"/>';
	localMessages.topmaxloadtimeajax='<fmt:message key="wa.loadtime.top.max.ajax"/>';
	localMessages.topmaxloadtimenonajax='<fmt:message key="wa.loadtime.top.max.nonajax"/>';
	localMessages.ajaxstring='<fmt:message key="wa.ajax.string"/>';
	localMessages.nonajaxstring='<fmt:message key="wa.nonajax.string"/>';
	localMessages.documentreferrer='<fmt:message key="wa.advanced.documentreferrer"/>';
	localMessages.customreferrer='<fmt:message key="wa.advanced.customreferrer"/>';
	localMessages.upperquartile='<fmt:message key="wa.upper.quartile"/>';
	localMessages.lowerquartile='<fmt:message key="wa.lower.quartile"/>';
	localMessages.minimum='<fmt:message key="wa.minimum"/>';
	localMessages.maximum='<fmt:message key="wa.maximum"/>';
	localMessages.median='<fmt:message key="wa.median"/>';
	localMessages.datetime='<fmt:message key="wa.datetime"/>';
	localMessages.outlier='<fmt:message key="wa.outlier"/>';
	localMessages.averageloadtime='<fmt:message key="wa.averageloadtime"/>';
	localMessages.nonajaxloadtime='<fmt:message key="wa.nonajax.loadtime"/>';
	localMessages.calculatedforstring='<fmt:message key="wa.calculatedfor.string"/>';
	localMessages.avgloadtimeajaxtimerange='<fmt:message key="wa.avgloadtimeajax.timerange"/>';
	localMessages.avgloadtimenonajaxtimerange='<fmt:message key="wa.avgloadtimenonajax.timerange"/>';
	localMessages.tagclickstimerange='<fmt:message key="wa.tagclicks.timerange"/>';
	localMessages.referrercomparisontimerange='<fmt:message key="wa.referrercomparison.timerange"/>';
	localMessages.filteredforurl='<fmt:message key="wa.filtered.url"/>';
	localMessages.nodataalertonajax='<fmt:message key="wa.pageviews.nodata.alert"/>';
	localMessages.alertonajax='<fmt:message key="wa.pageviews.alert"/>';
	localMessages.doctitle='<fmt:message key="wa.doctitle"/>';
	localMessages.url='<fmt:message key="wa.url"/>';
	var siteTitle='${requestScope.siteTitle}';

	window.reportEnum="WebAnalytics";
	${cv:jsLocalize("localMsg", "localization.ReportsJSMessages", null)};
</script>

	<div class="row reportContent alignReport">

		<div class="col-lg-3 col-md-3 col-sm-3" id="facetContainer"
			style="Display: none;"></div>
		<div id="facetContainerDisplay" class="col-lg-12 col-md-12 col-sm-12">
			<div id="drillDownTab" class="well well-sm bottom-space"
				style="display: none;">
				<div class="input-group col-md-offset-2 col-md-8"
					style="align: center;">
					<span class="input-group-addon" id="drillDownTabTitleText"></span>
					<input id="drillDownText" type="text" class="form-control">
					<span class="input-group-btn hideOnExportFriendly">
						<button class="btn btn-default reloadDD" type="button">
							<fmt:message key="wa.go.button" />
						</button>
					</span>
				</div>
			</div>
			<div id="advancedDataTablePanel" style="display: none;">
				<div class="panel panel-default">
					<div class="panel-heading" id="advancedDataTable_heading"></div>
					<div class="panel-body">
						<div id="panelBody">
							<div id="attributePanel"
								class="btn-group pull-right hideOnExportFriendly">
								<button id="attributeButton"
									class="btn btn-default btn-sm dropdown-toggle" type="button"
									data-toggle="dropdown">
									<span class="caret"></span>
								</button>
								<ul class="dropdown-menu columnsDropDown" id="attribute">
								</ul>
							</div>
							<div id="typePanel"
								class="btn-group pull-right hideOnExportFriendly">
								<button id="typeButton"
									class="btn btn-default btn-sm dropdown-toggle" type="button"
									data-toggle="dropdown">
									<span class="caret"></span>
								</button>
								<ul class="dropdown-menu columnsDropDown" id="type">
								</ul>
							</div>
							<table id="advancedDataTable"
								class="table dtable col-lg-12 col-md-12 col-sm-12 viewFull">
							</table>
						</div>
					</div>
				</div>
			</div>
			<div class="row">
				<div id="pageStats" class="col-lg-3" style="display: none;">
					<div class="panel panel-default">
						<div class="panel-heading">
							<fmt:message key="wa.pagestats.string" />
						</div>
						<div class="panel-body panel-padding">
							<div class="row">
								<div id="totalClicks" class=" col-lg-4 col-md-4 col-sm-4 stats">
								</div>
								<div id="entryThrough" class=" col-lg-4 col-md-4 col-sm-4 stats">
								</div>
								<div id="exitThrough" class="col-lg-4 col-md-4 col-sm-4 stats">
								</div>
							</div>
							<div class="row">
								<div id="averageAjaxCalls"
									class=" col-lg-4 col-md-4 col-sm-4 stats"></div>
								<div id="totalViews" class=" col-lg-4 col-md-4 col-sm-4 stats">
								</div>
								<div id="averageTimeSpent"
									class=" col-lg-4 col-md-4 col-sm-4 stats"></div>
							</div>
						</div>
					</div>
				</div>
				<div id="statsPanel" class=" col-lg-3" style="display: none;">
					<div class="panel panel-default">
						<div class="panel-heading" id="statsPanelHeading">
							<fmt:message key="wa.nonajax.loadtime" />
						</div>
						<div class="panel-body panel-padding" id="statsPanelBody">
							<div class="row">
								<div id="statsMin" class=" col-lg-6 col-md-6 col-sm-6 stats">
								</div>
								<div id="statsMax" class="col-lg-6 col-md-6 col-sm-6 stats">
								</div>
							</div>
							<div class="row">
								<div id="statsAvg" class="col-lg-6 col-md-6 col-sm-6 stats">
								</div>
								<div id="statsSD" class="col-lg-6 col-md-6 col-sm-6 stats">
								</div>
							</div>
						</div>
						<div class="panel-body panel-padding text14" id="statsPanelAlert"
							style="display: none;"></div>
					</div>
				</div>
				<div id="statsPanelAjax" class=" col-lg-3" style="display: none;">
					<div class="panel panel-default">
						<div class="panel-heading">
							<fmt:message key="wa.ajax.loadtime" />
						</div>
						<div class="panel-body panel-padding">
							<div class="row">
								<div id="statsMinAjax" class=" col-lg-6 col-md-6 col-sm-6 stats">
								</div>
								<div id="statsMaxAjax" class="col-lg-6 col-md-6 col-sm-6 stats">
								</div>
							</div>
							<div class="row">
								<div id="statsAvgAjax" class="col-lg-6 col-md-6 col-sm-6 stats">
								</div>
								<div id="statsSDAjax" class="col-lg-6 col-md-6 col-sm-6 stats">
								</div>
							</div>
						</div>
					</div>
				</div>
				<div id="advancedChartPanel" class="col-lg-12"
					style="display: none;">
					<div class="panel panel-default">
						<div class="panel-heading" id="advancedChartPanelHeading"></div>
						<div class="panel-body">
							<div id="advancedChart"
								class="col-lg-12 col-md-12 col-sm-12 viewFull"></div>
						</div>
					</div>
				</div>
			</div>
			<div id="behavior" style="display: none;">
				<div class="panel panel-default">
					<div class="panel-heading">
						<fmt:message key="wa.pagenavigation" />
					</div>
					<div class="panel-body" style="overflow: hidden; height: 450px;"
						align="center">
						<div id='user_behaviour'
							style="position: relative; width: 10000px; height: 5100px; cursor: move;"
							class="ui-draggable">
							<div style="width: 10000px; height: 100px;"></div>
							<div id='sankey' style="width: 10000px; height: 5000px;"></div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</fmt:bundle>
<jsp:include page="partials/errorPanel.jsp"></jsp:include>
<!-- TODO: SP8 make sure to use moment from common location -->
<jsp:include page="../common/footer.jsp">
	<jsp:param value="../common/js/table/jquery.dataTables.js" name="js" />
	<jsp:param value="../common/js/highcharts/highcharts.js" name="js" />
	<jsp:param value="../common/js/highcharts/highcharts-3d.js" name="js" />
	<jsp:param value="../common/js/highcharts/highcharts-more.js" name="js" />
	<jsp:param value="../common/js/highcharts/exporting.js" name="js" />
	<jsp:param value="../common/js/highcharts/no-data-to-display.js"
		name="js" />
	<jsp:param value="../webanalytics/dependencies/js/raphael.min.js"
		name="js" />
	<jsp:param value="../webanalytics/dependencies/js/sankey.js" name="js" />
	<jsp:param value="../common/bootstrap/js/bootstrap.min.js" name="js" />
	<jsp:param value="../common/bootstrap/js/DT_bootstrap.js" name="js" />
	<jsp:param
		value="../reportsplus/js/angular-datetimepicker/moment.min.js"
		name="js" />
	<jsp:param value="../common/js/daterangepicker.js" name="js" />
	<jsp:param value="../webanalytics/js/cvsankey.js" name="js" />
	<jsp:param value="../webanalytics/js/map.js" name="js" />
	<jsp:param value="../webanalytics/js/date.js" name="js" />
	<jsp:param value="../common/js/cvFormatters.js" name="js" />
	<jsp:param value="../webanalytics/js/common.js" name="js" />
	<jsp:param value="../webanalytics/js/facetComponent.js" name="js" />
	<jsp:param value="../reports/js/reportsUtil.js" name="js" />
	<jsp:param value="../webanalytics/js/scheduleReport.js" name="js" />
	<jsp:param value="../common/js/jquery.loadmask.cv.js" name="js" />
	<jsp:param value="../webanalytics/js/advanced.js" name="js" />
	<jsp:param value="../reports/js/reportActionButtons.js" name="js" />
	<jsp:param value="../searchcomponents/js/cvSearchConstants.js"
		name="js" />
	<jsp:param value="../searchcomponents/js/cvSearchMessages.js" name="js" />
	<jsp:param value="../searchcomponents/js/cvSearchUtil.js" name="js" />
	<jsp:param value="../searchcomponents/js/qbBase.js" name="js" />
	<jsp:param value="../searchcomponents/js/qbSearchView.js" name="js" />
	<jsp:param value="../searchcomponents/js/cvFacetWidget.js" name="js" />
	<jsp:param value="../searchcomponents/js/cvFacetsView.js" name="js" />

</jsp:include>

