
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@  taglib uri="../WEB-INF/cvtaglib.tld" prefix="cv"%>
<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<jsp:include page="../common/header.jsp">
	<jsp:param value="true" name="includeLatestJquery" />
	<jsp:param value="true" name="includeSecHeader" />
	<jsp:param value="true" name="exportOptions" />
	<jsp:param value="true" name="includeCROptions" />
	<jsp:param value="true" name="noSearchReport" />
	<jsp:param value="true" name="analyticsChangePage" />
	<jsp:param value="WebAnalytics_Header" name="title" />
	<jsp:param value="WebAnalytics_Header" name="headerTitle" />
	<jsp:param value="../common/bootstrap/css/bootstrap.min.css" name="css" />
	<jsp:param value="../common/bootstrap/css/bootstrap-datetimepicker.css"
		name="css" />
	<jsp:param value="../common/css/daterangepicker-bs3.css" name="css" />
	<jsp:param value="../common/bootstrap/css/DT_bootstrap.css" name="css" />
	<jsp:param value="../common/css/headerstyles.css" name="css" />
	<jsp:param value="../common/css/jquery.loadmask.css" name="css" />
	<jsp:param value="../reports/css/actionButtons.css" name="css" />
	<jsp:param value="../common/bootstrap/css/bootstrap-wc.css" name="css" />
	<jsp:param value="../searchcomponents/css/searchcomponents.css"
		name="css" />
	<jsp:param value="css/forwebanalytics.css" name="css" />
</jsp:include>

<jsp:include page="../webanalytics/navbar.jsp">
	<jsp:param name="page" value="basic" />
</jsp:include>
<style type="text/css">
#container {
	width: 98%;
	overflow: hidden;
}
</style>
<fmt:bundle basename="localization.WebAnalyticsMessages">
	<script nonce="${sessionScope.cspNonce}">
 	var localMessages=localMessages||{};
 	localMessages.noresultsfound='<fmt:message key="wa.noresultsfound.string"/>';
	localMessages.piestring='<fmt:message key="wa.pie.string"/>';
	localMessages.columnstring='<fmt:message key="wa.column.string"/>';
	localMessages.chartstring='<fmt:message key="wa.chart.string"/>';
	localMessages.chartviewstring='<fmt:message key="wa.chartview.string"/>';
	localMessages.gridviewstring='<fmt:message key="wa.gridview.string"/>';
	localMessages.totalcountstring='<fmt:message key="wa.totalcount.string"/>';
	localMessages.count='<fmt:message key="wa.datatable.count"/>';
	localMessages.facetnewvisitor='<fmt:message key="wa.facet.visitor.new"/>';
	localMessages.facetreturningvisitor='<fmt:message key="wa.facet.visitor.returning"/>';
	localMessages.savepng='<fmt:message key="wa.save.png"/>';
	localMessages.savepdf='<fmt:message key="wa.save.pdf"/>';
	localMessages.data='<fmt:message key="wa.datatable.data"/>';
	localMessages._atnu='<fmt:message key="wa._atnu"/>';
	localMessages._atbn='<fmt:message key="wa._atbn"/>';
	localMessages._atbv='<fmt:message key="wa._atbv"/>';
	localMessages._atln='<fmt:message key="wa._atln"/>';
	localMessages._atsr='<fmt:message key="wa._atsr"/>';
	localMessages._atdn='<fmt:message key="wa._atdn"/>';
	localMessages._atcn='<fmt:message key="wa._atcn"/>';
	localMessages._atos='<fmt:message key="wa._atos"/>';
	localMessages.urlParts='<fmt:message key="wa.url"/>';
	localMessages.filter='<fmt:message key="wa.options.filter"/>';
	localMessages.show='<fmt:message key="wa.show.string"/>';
	localMessages.all='<fmt:message key="wa.all.string"/>';
	localMessages.norecordstodisplay='<fmt:message key="wa.norecordsdisplay.string"/>';
	localMessages.expandstring='<fmt:message key="wa.expand.title"/>';
	localMessages.collapsestring='<fmt:message key="wa.collapse.title"/>';
	localMessages.schedulereportsmodal='<fmt:message key="wa.schedulereports.modal"/>';
	localMessages.emailreportsmodal='<fmt:message key="wa.emailreports.modal"/>';
	localMessages.someerrormessage='<fmt:message key="wa.someerror.message"/>';
	localMessages.nodatainreports='<fmt:message key="wa.reports.nodata"/>';
	var siteTitle='${requestScope.siteTitle}';
	var primaryURL='${requestScope.primaryURL}';
	window.reportEnum="WebAnalytics";
	${cv:jsLocalize("localMsg", "localization.ReportsJSMessages", null)};
</script>

	<div class="row reportContent alignReport">
		<div class="col-lg-3 col-md-3 col-sm-3 hideOnExportFriendly"
			id="facetContainerHeader">
			<div id="facetContainer"></div>
		</div>
		<div id="facetContainerDisplay" class="col-lg-9 col-md-9 col-sm-9">
			<div class="panel panel-default">
				<div class="panel-heading" id="Chart_Heading"></div>
				<div class="panel-body">
					<ol class="breadcrumb" id="breadCrumb">
					</ol>
					<div class="btn-group top-space">
						<button
							class="btn btn-default btn-xs dropdown-toggle hideOnExportFriendly"
							id="typeButton" type="button" data-toggle="dropdown">
							<span class="caret"></span>
						</button>
						<ul class="dropdown-menu hideOnExportFriendly chooseChartList">
							<li><a href="#" data-chart-type="pie"><fmt:message
										key="wa.pie.chart" /></a></li>
							<li><a href="#" data-chart-type="column"><fmt:message
										key="wa.column.chart" /></a></li>
						</ul>
					</div>
					<div id="highChart" class="col-lg-12 col-md-12 col-sm-12"></div>
					<div id="highMaps" class="col-lg-12 col-md-12 col-sm-12"
						style="Display: none;">
						<div id='map'></div>
					</div>
					<div id="chartMessage" style="color: black;" class="none">
						<fmt:message key="wa.basic.drilldown.message" />
					</div>
				</div>
			</div>
			<div class="panel panel-default">
				<div class="panel-heading" id="Grid_Heading"></div>
				<div class="panel-body">
					<div>
						<table id="dataTable"
							class="table dtable col-lg-12 col-md-12 col-sm-12">
							<thead>
								<tr>
									<th id="dataTableHeading"><fmt:message
											key="wa.datatable.data" /></th>
									<th><fmt:message key="wa.datatable.count" /></th>
								</tr>
							</thead>
							<tbody>
							</tbody>
						</table>
					</div>
				</div>
			</div>

		</div>
	</div>
</fmt:bundle>
<jsp:include page="partials/errorPanel.jsp"></jsp:include>
<!-- TODO: SP8 make sure to use moment from common location -->
<jsp:include page="../common/footer.jsp">
	<jsp:param value="../common/js/table/jquery.dataTables.min.js"
		name="js" />
	<jsp:param value="../analytics/js/highmaps/highcharts.min.js" name="js" />
	<jsp:param value="../reports/js/highcharts/highcharts-3d.js" name="js" />
	<jsp:param
		value="../reports/js/highcharts/modules/no-data-to-display.js"
		name="js" />
	<jsp:param value="../analytics/js/highmaps/highmapsapi.js" name="js" />
	<jsp:param value="../analytics/js/highmaps/highchartstheme.js"
		name="js" />
	<jsp:param value="../analytics/js/highmaps/map.js" name="js" />
	<jsp:param value="../analytics/js/highmaps/world.js" name="js" />
	<jsp:param value="../common/bootstrap/js/bootstrap.min.js" name="js" />
	<jsp:param value="../common/bootstrap/js/DT_bootstrap.js" name="js" />
	<jsp:param
		value="../reportsplus/js/angular-datetimepicker/moment.min.js"
		name="js" />
	<jsp:param value="../common/js/daterangepicker.js" name="js" />
	<jsp:param value="../webanalytics/js/map.js" name="js" />
	<jsp:param value="../webanalytics/js/date.js" name="js" />
	<jsp:param value="../webanalytics/js/facetComponent.js" name="js" />
	<jsp:param value="../webanalytics/js/common.js" name="js" />
	<jsp:param value="../reports/js/reportsUtil.js" name="js" />
	<jsp:param value="../webanalytics/js/scheduleReport.js" name="js" />
	<jsp:param value="../common/js/jquery.loadmask.cv.js" name="js" />

	<jsp:param value="../webanalytics/js/basic.js" name="js" />
	<jsp:param value="../reports/js/reportActionButtons.js" name="js" />

	<jsp:param value="../common/js/cvFormatters.js" name="js" />
	<jsp:param value="../searchcomponents/js/cvSearchConstants.js"
		name="js" />
	<jsp:param value="../searchcomponents/js/cvSearchMessages.js" name="js" />
	<jsp:param value="../searchcomponents/js/cvSearchUtil.js" name="js" />
	<jsp:param value="../searchcomponents/js/qbBase.js" name="js" />
	<jsp:param value="../searchcomponents/js/qbSearchView.js" name="js" />
	<jsp:param value="../searchcomponents/js/cvFacetWidget.js" name="js" />
	<jsp:param value="../searchcomponents/js/cvFacetsView.js" name="js" />

</jsp:include>
