<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@  taglib uri="../WEB-INF/cvtaglib.tld" prefix="cv"%>
<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<jsp:include page="../common/header.jsp">
	<jsp:param value="true" name="includeLatestJquery" />
	<jsp:param value="true" name="includeSecHeader" />
	<jsp:param value="true" name="exportOptions" />
	<jsp:param value="true" name="includeCROptions" />
	<jsp:param value="true" name="noSearchReport" />
	<jsp:param value="WebAnalytics_Header" name="title" />
	<jsp:param value="WebAnalytics_Header" name="headerTitle" />
	<jsp:param value="true" name="analyticsChangePage" />
	<jsp:param value="../common/bootstrap/css/bootstrap.min.css" name="css" />
	<jsp:param value="../common/bootstrap/css/DT_bootstrap.css" name="css" />
	<jsp:param value="../common/css/daterangepicker-bs3.css" name="css" />
	<jsp:param value="../common/css/headerstyles.css" name="css" />
	<jsp:param value="../common/css/jquery.loadmask.css" name="css" />
	<jsp:param value="../reports/css/actionButtons.css" name="css" />
	<jsp:param value="../common/bootstrap/css/bootstrap-wc.css" name="css" />
	<jsp:param value="css/forwebanalytics.css" name="css" />
</jsp:include>
<style type="text/css">
#container {
	width: 98%;
	overflow: hidden;
}
</style>
<jsp:include page="../webanalytics/navbar.jsp">
	<jsp:param name="page" value="dashboard" />
</jsp:include>
<fmt:bundle basename="localization.WebAnalyticsMessages">
	<script nonce="${sessionScope.cspNonce}">
 	var localMessages=localMessages||{};
	localMessages.successfulsearchstring='<fmt:message key="wa.successfulsearch.string"/>';
	localMessages.zerohitsearchstring='<fmt:message key="wa.zerohitsearch.string"/>';
	localMessages.actionsperformedcount='<fmt:message key="wa.userclicks.count"/>';
	localMessages.userclickstring='<fmt:message key="wa.advanced.userclicks"/>';
	localMessages.actionstring='<fmt:message key="wa.action.string"/>';
	localMessages.savepng='<fmt:message key="wa.save.png"/>';
	localMessages.savepdf='<fmt:message key="wa.save.pdf"/>';
	localMessages.count='<fmt:message key="wa.datatable.count"/>';
	localMessages.usagestatistics='<fmt:message key="wa.usagestatistics"/>';
	localMessages.newuserstring='<fmt:message key="wa.newuser.string"/>';
	localMessages.returninguserstring='<fmt:message key="wa.returninguser.string"/>';
	localMessages.newvsreturning='<fmt:message key="wa.newvsreturningusers"/>';
	localMessages.userscount='<fmt:message key="wa.userscount"/>';
	localMessages.successvsfailure='<fmt:message key="wa.successvsfailuresearch"/>';
	localMessages.searchescount='<fmt:message key="wa.searchescount"/>';
	localMessages.filter='<fmt:message key="wa.options.filter"/>';
	localMessages.norecordstodisplay='<fmt:message key="wa.norecordsdisplay.string"/>';
	localMessages.expandstring='<fmt:message key="wa.expand.title"/>';
	localMessages.collapsestring='<fmt:message key="wa.collapse.title"/>';
	localMessages.schedulereportsmodal='<fmt:message key="wa.schedulereports.modal"/>';
	localMessages.emailreportsmodal='<fmt:message key="wa.emailreports.modal"/>';
	localMessages.someerrormessage='<fmt:message key="wa.someerror.message"/>';
	localMessages.nodatainreports='<fmt:message key="wa.reports.nodata"/>';
	var siteTitle='${requestScope.siteTitle}';
	window.reportEnum="WebAnalytics";
	${cv:jsLocalize("localMsg", "localization.ReportsJSMessages", null)};
 </script>
	<div class="reportsContainer">
		<div class="row reportContent alignReport row1">
			<div class="col-lg-4">

				<div class="panel panel-default">
					<div class="panel-heading" id="user_usageStatistics_heading"
						data-report-type="newNReturning">
						<fmt:message key="wa.newvsreturningusers" />
						<a href="#" class="refreshanchor hideOnExportFriendly refreshPane"><i
							class="glyphicon glyphicon-refresh"></i></a> <a href="#"
							class="refreshanchor hideOnExportFriendly fullScreenView"
							data-id="newUserNReturningUser"><i
							class="glyphicon glyphicon glyphicon-resize-full"></i></a>
					</div>
					<div class="panel-body ">
						<div id="newUserNReturningUser"
							class="col-lg-12 col-md-12 col-sm-12"></div>
					</div>
				</div>
			</div>
			<div class="col-lg-4 search">
				<div class="panel panel-default">
					<div class="panel-heading" id="user_usageStatistics_heading"
						data-report-type="searchStatisticsChart">
						<fmt:message key="wa.successvsfailuresearch" />
						<a href="#" class="refreshanchor hideOnExportFriendly refreshPane">
							<i class="glyphicon glyphicon-refresh"></i>
						</a> <a href="#"
							class="refreshanchor hideOnExportFriendly fullScreenView"
							data-id="searchChart"><i
							class="glyphicon glyphicon-resize-full"></i></a>
					</div>
					<div class="panel-body ">
						<div id="searchChart" class="col-lg-12 col-md-12 col-sm-12"></div>
					</div>
				</div>
			</div>
			<div class="col-lg-4">
				<div class="panel panel-default">
					<div class="panel-heading" id="user_usageStatistics_heading"
						data-report-type="usageTime">
						<fmt:message key="wa.usagestatistics" />
						<a href="#" class="refreshanchor hideOnExportFriendly refreshPane"><i
							class="glyphicon glyphicon-refresh"></i></a> <a href="#"
							class="refreshanchor hideOnExportFriendly fullScreenView"
							data-id="usageChart"><i
							class="glyphicon glyphicon-resize-full"></i></a>
					</div>
					<div class="panel-body ">
						<div id="usageChart" class="col-lg-12 col-md-12 col-sm-12"></div>
					</div>
				</div>
			</div>
		</div>

		<div class="row reportContent alignReport">
			<div class="col-lg-4">
				<div class="panel panel-default">
					<div class="panel-heading" id="user_pages_heading"
						data-report-type="url">
						<fmt:message key="wa.toppages" />
						<a href="#" class="refreshanchor hideOnExportFriendly refreshPane"><i
							class="glyphicon glyphicon-refresh"></i></a> <a href="#"
							class="hideOnExportFriendly pull-right goToAdvDashboard"
							data-id="pages"><fmt:message key="wa.detailedview.button" /></a>
					</div>
					<div class="panel-body">
						<div id="topPages" class="col-lg-12 col-md-12 col-sm-12"></div>
					</div>
				</div>
			</div>
			<div class="col-lg-4 search">
				<div class="panel panel-default">
					<div class="panel-heading" id="user_search_heading"
						data-report-type="search">
						<fmt:message key="wa.topsearches" />
						<a href="#" class="refreshanchor hideOnExportFriendly refreshPane"><i
							class="glyphicon glyphicon-refresh"></i></a> <a href="#"
							class="hideOnExportFriendly pull-right goToAdvDashboard"
							data-id="search"><fmt:message
								key="wa.detailedview.button" /></a>
					</div>
					<div class="panel-body">
						<div id="topSearch" class="col-lg-12 col-md-12 col-sm-12"></div>
					</div>
				</div>
			</div>
			<div class="col-lg-4">
				<div class="panel panel-default">
					<div class="panel-heading" id="user_usageStatistics_heading"
						data-report-type="actionChart">
						<fmt:message key="wa.advanced.userclicks" />
						<a href="#" class="refreshanchor hideOnExportFriendly refreshPane"><i
							class="glyphicon glyphicon-refresh"></i></a> <a href="#"
							class="refreshanchor hideOnExportFriendly fullScreenView"
							data-id="actionChart"><i
							class="glyphicon glyphicon-resize-full"></i></a>
					</div>
					<div class="panel-body">
						<div id="actionChart" class="col-lg-12 col-md-12 col-sm-12"></div>
					</div>
				</div>
			</div>
		</div>
	</div>
</fmt:bundle>
<!-- TODO: SP8 make sure to use moment from common location -->
<jsp:include page="partials/errorPanel.jsp" />
<jsp:include page="../common/footer.jsp">
	<jsp:param value="../common/js/table/jquery.dataTables.js" name="js" />
	<jsp:param value="../common/js/highcharts/highcharts.js" name="js" />
	<jsp:param value="../common/js/highcharts/highcharts-3d.js" name="js" />
	<jsp:param value="../common/js/highcharts/exporting.js" name="js" />
	<jsp:param value="../common/js/highcharts/no-data-to-display.js"
		name="js" />
	<jsp:param value="../common/bootstrap/js/bootstrap.min.js" name="js" />
	<jsp:param value="../common/bootstrap/js/DT_bootstrap.js" name="js" />
	<jsp:param
		value="../reportsplus/js/angular-datetimepicker/moment.min.js"
		name="js" />
	<jsp:param value="../common/js/daterangepicker.js" name="js" />
	<jsp:param value="../webanalytics/js/map.js" name="js" />
	<jsp:param value="../webanalytics/js/date.js" name="js" />
	<jsp:param value="../webanalytics/js/common.js" name="js" />
	<jsp:param value="../reports/js/reportsUtil.js" name="js" />
	<jsp:param value="../webanalytics/js/scheduleReport.js" name="js" />
	<jsp:param value="../common/js/jquery.loadmask.cv.js" name="js" />
	<jsp:param value="../webanalytics/js/dashboard.js" name="js" />
	<jsp:param value="../reports/js/reportActionButtons.js" name="js" />
</jsp:include>