
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@  taglib uri="../WEB-INF/cvtaglib.tld" prefix="cv"%>
<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<jsp:include page="../common/header.jsp">
	<jsp:param value="true" name="includeLatestJquery" />
	<jsp:param value="WebAnalytics_Header" name="title" />
	<jsp:param value="true" name="analyticsChangePage" />
	<jsp:param value="../common/bootstrap/css/bootstrap.min.css" name="css" />
	<jsp:param value="../common/bootstrap/css/DT_bootstrap.css" name="css" />
	<jsp:param value="css/forwebanalytics.css" name="css" />
</jsp:include>
<style type="text/css">
#container {
	width: 98%;
	overflow: hidden;
}
</style>
<fmt:bundle basename="localization.WebAnalyticsMessages">
 <script nonce="${sessionScope.cspNonce}" >
 	var localMessages=localMessages||{};
 	localMessages.someerrormessage='<fmt:message key="wa.someerror.message"/>';
</script>
<div class="row">
	<div class="col-md-6 col-md-offset-3" align="center">
	<div class="panel panel-info" id="typePanel" style="display: none;">
			<div class="panel-heading">Choose the MA to enable WebAnalytics</div>
			<div class="panel-body">
			<div class="btn-group" role="group">
			<div class="btn-group">
				<button id="typeButton"
					class="btn btn-default btn-sm dropdown-toggle" type="button"
					data-toggle="dropdown">
					<span class="caret"></span>
				</button>
				<!--  TODO: this should be select with style, not ul,li -->
				<ul class="dropdown-menu" id="listOfClients">
				</ul>
				<button id="enableAnalyticsEngineBtn" type="button" class="btn btn-info btn-sm">Enable</button>
			</div>

		</div>
			</div>
		</div>
		<div class="panel panel-info" id="messagePanel" style="display: none;">
			<div class="panel-heading">Analytics engine not Configured</div>
			<div class="panel-body">Analytics engine not configured with WebAnalytics role. Contact your admin to configure it.</div>
		</div>


	</div>
</div>

</fmt:bundle>
<jsp:include page="../common/footer.jsp">
	<jsp:param value="../common/js/table/jquery.dataTables.js" name="js" />
	<jsp:param value="../common/bootstrap/js/bootstrap.min.js" name="js" />
	<jsp:param value="../common/bootstrap/js/DT_bootstrap.js" name="js" />
	<jsp:param value="../webanalytics/js/demo.js" name="js" />
</jsp:include>
