<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<form id="exportForm"
	action="${pageContext.request.contextPath}/server/doDownload"
	method="get">
	<input id="downloadType" type='hidden' name='type' value='report' /> <input
		id="fileNameToDownload" type='hidden' name='fileName' value='' />
</form>
<jsp:include page="../jobs/JobManager.jsp" />
<script nonce="${sessionScope.cspNonce}">
	var primaryURL = '${requestScope.primaryURL}';
	var searchEnabled = '${requestScope.searchEnabled}';
	var cReferrerEnabled = '${requestScope.cReferrerEnabled}';
</script>

<fmt:bundle basename="localization.WebAnalyticsMessages">
	<%
		if (request.getParameter("page").equals("dashboard")) {
	%>
	<div
		class="navbar navbar-custom-align-dashboard-only hideOnExportFriendly">
		<div class="navbar-collapse nopaddingLR">
			<ul class="nav nav-pills navbar-left">
				<li><a href="./home.jsp"><fmt:message key="wa.navbar.home" /></a></li>
				<li class="active"><a href="#"><fmt:message
							key="wa.navbar.dashboard" /></a></li>
				<%
					} else {
				%>
				<div class="navbar navbar-custom-align hideOnExportFriendly">
					<div class="navbar-collapse nopaddingLR">
						<ul class="nav nav-pills navbar-left">
							<li><a href="./home.jsp"><fmt:message
										key="wa.navbar.home" /></a></li>
							<li><a href="#" class="dashboardLink">Dashboard</a></li>
							<%
								}
							%>
							<%
								if (request.getParameter("page").equals("basic")) {
							%>
							<li class="active"><a href="#"><fmt:message
										key="wa.navbar.basic" /></a></li>
							<li><a href="#" class="dropdown-toggle"
								data-toggle="dropdown"><fmt:message key="wa.navbar.advanced" />
									<b class="caret"></b> </a>
								<ul class="dropdown-menu advancedMenuList">
									<li><a href="#" data-option="pages"><fmt:message
												key="wa.advanced.pages" /></a></li>
									<li><a href="#" data-option="loadTime"><fmt:message
												key="wa.advanced.performance" /></a></li>
									<li class="search"><a href="#" data-option="search"><fmt:message
												key="wa.advanced.search" /></a></li>
									<li><a href="#" data-option="action"><fmt:message
												key="wa.advanced.userclicks" /></a></li>
									<li><a href="#" data-option="referrer"><fmt:message
												key="wa.advanced.referrer" /></a></li>
								</ul></li>
							<%
								} else if (request.getParameter("page").equals("advanced")) {
							%>
							<li><a href="#" class="dropdown-toggle"
								data-toggle="dropdown"><fmt:message key="wa.navbar.basic" />
									<b class="caret"></b> </a>
								<ul class="dropdown-menu basicMenuList">
									<li><a href="#" data-field="_atnu"><fmt:message
												key="wa.basic.visitor" /></a></li>
									<li><a href="#" data-field="_atbn"><fmt:message
												key="wa.basic.browser" /></a></li>
									<li><a href="#" data-field="_atsr"><fmt:message
												key="wa.basic.screenresolution" /></a></li>
									<li><a href="#" data-field="_atln"><fmt:message
												key="wa.basic.browserlanguage" /></a></li>
									<li><a href="#" data-field="_atdn"><fmt:message
												key="wa.basic.device" /></a></li>
									<li><a href="#" data-field="_atcn"><fmt:message
												key="wa.basic.country" /></a></li>
									<li><a href="#" data-field="_atos"><fmt:message
												key="wa.basic.operatingsystem" /></a></li>
								</ul></li>
							<li class="active"><a href="#"><fmt:message
										key="wa.navbar.advanced" /> </a></li>
							<%
								} else {
							%>
							<li><a href="#" class="dropdown-toggle"
								data-toggle="dropdown"><fmt:message key="wa.navbar.basic" />
									<b class="caret"></b> </a>
								<ul class="dropdown-menu basicMenuList">
									<li><a href="#" data-field="_atnu"><fmt:message
												key="wa.basic.visitor" /></a></li>
									<li><a href="#" data-field="_atbn"><fmt:message
												key="wa.basic.browser" /></a></li>
									<li><a href="#" data-field="_atsr"><fmt:message
												key="wa.basic.screenresolution" /></a></li>
									<li><a href="#" data-field="_atln"><fmt:message
												key="wa.basic.browserlanguage" /></a></li>
									<li><a href="#" data-field="_atdn"><fmt:message
												key="wa.basic.device" /></a></li>
									<li><a href="#" data-field="_atcn"><fmt:message
												key="wa.basic.country" /></a></li>
									<li><a href="#" data-field="_atos"><fmt:message
												key="wa.basic.operatingsystem" /></a></li>
								</ul></li>

							<li><a href="#" class="dropdown-toggle"
								data-toggle="dropdown"><fmt:message key="wa.navbar.advanced" />
									<b class="caret"></b> </a>
								<ul class="dropdown-menu advancedMenuList">
									<li><a href="#" data-option="pages"><fmt:message
												key="wa.advanced.pages" /></a></li>
									<li><a href="#" data-option="loadTime"><fmt:message
												key="wa.advanced.performance" /></a></li>
									<li class="search"><a href="#" data-option="search"><fmt:message
												key="wa.advanced.search" /></a></li>
									<li><a href="#" data-option="action"><fmt:message
												key="wa.advanced.userclicks" /></a></li>
									<li><a href="#" data-option="referrer"><fmt:message
												key="wa.advanced.referrer" /></a></li>
								</ul></li>
							<%
								}
							%>
							<c:if test="${param.page!='dashboard'}">
								<li><a href="#" class="dropdown-toggle"
									data-toggle="dropdown"><fmt:message key="wa.navbar.options" />
										<b class="caret"></b> </a>
									<ul class="dropdown-menu">
										<c:if test="${param.page=='advanced' || param.page=='basic'}">
											<li>
												<div class="form-horizontal">
													<div class="form-group">
														<label class="col-sm-3 col-xs-offset-1 control-label">
															<fmt:message key="wa.options.filter" />
														</label>
														<!---->
														<div class="col-sm-3">
															<div class="input-group">
																<input id="filter-toggle" type="checkbox"
																	class="cvToggle"> <label for="filter-toggle"
																	style="margin-top: -15px;"></label>
															</div>
														</div>
													</div>
												</div>
											</li>
										</c:if>
									</ul></li>
							</c:if>
						</ul>
						<ul class="nav nav-pills navbar-right">
							<li>
								<div id="dateRange" class="btn"
									style="display: inline-block; background: #fff; cursor: pointer; padding: 5px 10px; border: 1px solid #ccc">
									<i class="glyphicon glyphicon-calendar"></i> <span></span> <b
										class="caret"></b>
								</div>
							</li>
						</ul>
					</div>
				</div>
				<%
					if (request.getParameter("page").equals("basic")) {
				%>
				<div id="basicMenu"
					class="navbar navbar2-custom-align block nopaddingLR hideOnExportFriendly">
					<div class="navbar-collapse nopaddingLR">
						<ul class="nav nav-pills navbar-left basicFlatList">
							<li id="_atnuList"><a href="#" data-field="visitor"><fmt:message
										key="wa.basic.visitor" /></a></li>
							<li id="_atbnList"><a href="#" data-field="browser"><fmt:message
										key="wa.basic.browser" /></a></li>
							<li id="_atsrList"><a href="#" data-field="screenResolution"><fmt:message
										key="wa.basic.screenresolution" /></a></li>
							<li id="_atlnList"><a href="#" data-field="language"><fmt:message
										key="wa.basic.browserlanguage" /></a></li>
							<li id="_atdnList"><a href="#" data-field="device"><fmt:message
										key="wa.basic.device" /></a></li>
							<li id="_atcnList"><a href="#" data-field="country"><fmt:message
										key="wa.basic.country" /></a></li>
							<li id="_atosList"><a href="#" data-field="operatingSystem"><fmt:message
										key="wa.basic.operatingsystem" /></a></li>
						</ul>
					</div>
				</div>
				<%
					} else if (request.getParameter("page").equals("advanced")) {
				%>
				<div id="advancedMenu"
					class="navbar navbar2-custom-align block nopaddingLR hideOnExportFriendly">
					<div class="navbar-collapse nopaddingLR">
						<ul class="nav nav-pills navbar-left advancedFlatList">
							<li id="pagesList"><a href="#" data-option="pages"><fmt:message
										key="wa.advanced.pages" /></a></li>
							<li id="loadTimeList"><a href="#" data-option="loadTime"><fmt:message
										key="wa.advanced.performance" /></a></li>
							<li id="searchList" class="search"><a href="#"
								data-option="search"><fmt:message key="wa.advanced.search" /></a></li>
							<li id="actionList"><a href="#" data-option="action"><fmt:message
										key="wa.advanced.userclicks" /></a></li>
							<li id="referrerList"><a href="#" data-option="referrer"><fmt:message
										key="wa.advanced.referrer" /></a></li>
						</ul>
					</div>
				</div>

				<%
					}
				%>

</fmt:bundle>